Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_singleton.h File Reference

This file defines the OsclSingleton class. This class provides a container which used to give access to a set of process-level singleton objects. Each object is indexed by an integer ID, listed below. There can only be one instance of each object per process at a given time. More...

`#include "oscl_base.h"`
`#include "oscl_defalloc.h"`

Go to the source code of this file.

## Data Structures
class | OsclSingleton
class | OsclSingletonRegistry
class | SingletonTable
## Variables
const uint32 | OSCL_SINGLETON_ID_TEST = 0
const uint32 | OSCL_SINGLETON_ID_OSCLMEM = 1
const uint32 | OSCL_SINGLETON_ID_PVLOGGER = 2
const uint32 | OSCL_SINGLETON_ID_PVSCHEDULER = 3
const uint32 | OSCL_SINGLETON_ID_PVERRORTRAP = 4
const uint32 | OSCL_SINGLETON_ID_SDPMEDIAPARSER = 5
const uint32 | OSCL_SINGLETON_ID_PAYLOADPARSER = 6
const uint32 | OSCL_SINGLETON_ID_CPM_PLUGIN = 7
const uint32 | OSCL_SINGLETON_ID_PVMFRECOGNIZER = 8
const uint32 | OSCL_SINGLETON_ID_OSCLREGISTRY = 9
const uint32 | OSCL_SINGLETON_ID_OMX = 10
const uint32 | OSCL_SINGLETON_ID_OMXMASTERCORE = 11
const uint32 | OSCL_SINGLETON_ID_TICKCOUNT = 12
const uint32 | OSCL_SINGLETON_ID_WMDRMLOCK = 13
const uint32 | OSCL_SINGLETON_ID_LAST = 14

## Detailed Description

This file defines the OsclSingleton class. This class provides a container which used to give access to a set of process-level singleton objects. Each object is indexed by an integer ID, listed below. There can only be one instance of each object per process at a given time.

OsclSingleton is initialized in OsclBase::Init.

## Variable Documentation

const uint32 OSCL_SINGLETON_ID_CPM_PLUGIN = 7

const uint32 OSCL_SINGLETON_ID_LAST = 14

const uint32 OSCL_SINGLETON_ID_OMX = 10

const uint32 OSCL_SINGLETON_ID_OMXMASTERCORE = 11

const uint32 OSCL_SINGLETON_ID_OSCLMEM = 1

const uint32 OSCL_SINGLETON_ID_OSCLREGISTRY = 9

const uint32 OSCL_SINGLETON_ID_PAYLOADPARSER = 6

const uint32 OSCL_SINGLETON_ID_PVERRORTRAP = 4

const uint32 OSCL_SINGLETON_ID_PVLOGGER = 2

const uint32 OSCL_SINGLETON_ID_PVMFRECOGNIZER = 8

const uint32 OSCL_SINGLETON_ID_PVSCHEDULER = 3

const uint32 OSCL_SINGLETON_ID_SDPMEDIAPARSER = 5

const uint32 OSCL_SINGLETON_ID_TEST = 0

const uint32 OSCL_SINGLETON_ID_TICKCOUNT = 12

const uint32 OSCL_SINGLETON_ID_WMDRMLOCK = 13